HalXmlCollectionRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render.hal
[Groovy] Class HalXmlCollectionRenderer

    java.lang.Object
      grails.rest.render.AbstractRenderer
          grails.rest.render.AbstractIncludeExcludeRenderer
              grails.rest.render.util.AbstractLinkingRenderer
                  grails.rest.render.hal.HalXmlRenderer
                      grails.rest.render.hal.HalXmlCollectionRenderer

All Implemented Interfaces:
  ContainerRenderer

    class HalXmlCollectionRenderer
    extends HalXmlRenderer

A HAL XML renderer for a collection of objects

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class HalXmlRenderer
LINK_TAG, MIME_TYPE, RELATIONSHIP_ATTRIBUTE, RESOURCE_TAG

Fields inherited from class AbstractLinkingRenderer
DEFAULT_EXCLUDES, DEPRECATED_ATTRIBUTE, HREFLANG_ATTRIBUTE, HREF_ATTRIBUTE, RELATIONSHIP_SELF, TEMPLATED_ATTRIBUTE, TITLE_ATTRIBUTE, TYPE_ATTRIBUTE

Property Summary
`java.lang.Class` | `componentType`

Constructor Summary
`HalXmlCollectionRenderer(java.lang.Class componentType)`
`HalXmlCollectionRenderer(java.lang.Class componentType, MimeType... mimeTypes)`

Method Summary

Methods inherited from class HalXmlRenderer
renderInternal, startResourceTag, startResourceTagForCurrentPath, writeDomainProperty, writeDomainWithEmbeddedAndLinks, writeLink

Methods inherited from class AbstractLinkingRenderer
getLinkTitle, getLinksForObject, getResourceTitle, isDomainResource, render, renderInternal, writeAssociationLinks, writeDomain, writeDomainProperty, writeExtraLinks, writeLink

Methods inherited from class AbstractIncludeExcludeRenderer
excludesProperty, includesProperty, shouldIncludeProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### componentType

    final java.lang.Class componentType

Constructor Detail

### HalXmlCollectionRenderer

    HalXmlCollectionRenderer(java.lang.Class componentType)

### HalXmlCollectionRenderer

    HalXmlCollectionRenderer(java.lang.Class componentType, MimeType... mimeTypes)

Groovy Documentation